package at.jku.ssw.pi.stack.solution;

import at.jku.ssw.pi.Iterator;

public class ArrayStackIterator extends Iterator {

	private int pos;
	private final Object[] stack;

	ArrayStackIterator(Object[] stack) {
		this.stack = stack;
		this.pos = stack.length;
	}

	@Override
	public boolean hasNext() {
		return pos > 0;
	}

	@Override
	public Object next() {
		return stack[--pos];
	}

}
